# $Revision: 1.10 $, $Date: 2002/08/04 07:37:07 $
Summary:	C++ glue to SDL (Simple DirectMedia Layer)
Summary(pl):	Interfejs C++ do SDL
Name:		SDLmm
Version:	0.1.8
Release:	4
License:	LGPL
Group:		X11/Libraries
Source0:	http://prdownloads.sourceforge.net/sdlmm/%{name}-%{version}.tar.bz2
URL:		http://sdlmm.sourceforge.net/
BuildRequires:	SDL-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
This is a C++ glue to SDL (Simple DirectMedia Layer) library- a
low-level, cross-platform multimedia library. SDLmm will utilize C++
features while still being close to SDL in syntax (and naming).

%description -l pl
Jest to cznik midzy C++ a SDL (Simple DirectMedia Layer),
niskopoziomow bibliotek multimedialn. SDLmm wykorzysta cechy C++
wci bdc w skadni (i w nazewnictwie) blisko SDL.

%package devel
Summary:	Header files and more to develop SDLmm applications
Summary(pl):	Pliki nagwkowe do rozwijania aplikacji uywajcych SDLmm
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}
Requires:	SDL-devel

%description devel
Header files and more to develop SDLmm applications.

%description -l pl devel
Pliki nagwkowe do rozwijania aplikacji uywajcych SDLmm.

%package static
Summary:	Static SDLmm libraries
Summary(pl):	Statyczne biblioteki SDLmm
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Statis SDL_image libraries.

%description -l pl static
Statyczne biblioteki SDL_image.

%prep
%setup -q 

%build
rm -f missing
%{__libtoolize}
aclocal
%{__autoconf}
%{__automake}
%configure 
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir}

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README THANKS AUTHORS
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc docs/html/*.html docs/html/*.gif docs/html/*.css
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/SDLmm
%{_aclocaldir}/*
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: SDLmm.spec,v $
Revision 1.10  2002/08/04 07:37:07  kloczek
- release 4; use new %doc.

Revision 1.9  2002/06/23 20:32:19  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.8  2002/05/21 23:12:38  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.7  2002/03/20 15:44:06  kloczek
- release 3: fix %define _mandir macro.

Revision 1.6  2002/02/22 23:28:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/27 18:16:41  filon
- correct manpages location
- release 2

Revision 1.4  2002/01/18 02:12:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/09/15 15:23:42  filon
- fixed spelling miastke in pl desc

Revision 1.2  2001/09/13 19:58:22  kloczek
- add %%{_includedir}/SDLmm also to devel subpackage,
- added regenerate also lt files,
- added missing BuildRequires,
- fixed Group fields in all packages,
- fix %install for install aclocal files in proper path.

Revision 1.1  2001/09/13 18:43:36  jajcus
- new spec

